## onnx 0.0.1

=== DESCRIPTION ===
Package: onnx
Type: Package
Title: R Interface to 'ONNX'
Version: 0.0.1
Authors@R: c(
  person("Yuan", "Tang", role = c("aut", "cre"), email = "terrytangyuan@gmail.com"),
  person("ONNX Authors", role = c("aut", "cph")),
  person("Facebook, Inc.", role = c("cph")),
  person("Microsoft Corporation", role = c("cph")))
Description: R Interface to 'ONNX' - Open Neural Network Exchange <https://onnx.ai/>. 
             'ONNX' provides an open source format for machine learning models. 
             It defines an extensible computation graph model, as well as definitions
             of built-in operators and standard data types.
License: MIT License + file LICENSE
URL: https://github.com/terrytangyuan/onnx-r
BugReports: https://github.com/terrytangyuan/onnx-r
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1)
Imports: reticulate (>= 1.4)
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2018-03-05 22:05:07 UTC; terrytangyuan
Author: Yuan Tang [aut, cre],
  ONNX Authors [aut, cph],
  Facebook, Inc. [cph],
  Microsoft Corporation [cph]
Maintainer: Yuan Tang <terrytangyuan@gmail.com>
Repository: CRAN
Date/Publication: 2018-03-06 18:57:01 UTC
