## onnx 0.0.2

=== DESCRIPTION ===
Package: onnx
Type: Package
Title: R Interface to 'ONNX'
Version: 0.0.2
Authors@R: c(
  person("Yuan", "Tang", role = c("aut", "cre"), email = "terrytangyuan@gmail.com", comment = c(ORCID = "0000-0001-5243-233X")),
  person("ONNX Authors", role = c("aut", "cph")),
  person("Facebook, Inc.", role = c("cph")),
  person("Microsoft Corporation", role = c("cph")))
Description: R Interface to 'ONNX' - Open Neural Network Exchange <https://onnx.ai/>. 
             'ONNX' provides an open source format for machine learning models. 
             It defines an extensible computation graph model, as well as definitions
             of built-in operators and standard data types.
License: MIT License + file LICENSE
URL: https://github.com/onnx/onnx-r
BugReports: https://github.com/onnx/onnx-r/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1)
Imports: reticulate (>= 1.4)
RoxygenNote: 6.0.1
Suggests: testthat, knitr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-04-25 17:11:43 UTC; terrytangyuan
Author: Yuan Tang [aut, cre] (<https://orcid.org/0000-0001-5243-233X>),
  ONNX Authors [aut, cph],
  Facebook, Inc. [cph],
  Microsoft Corporation [cph]
Maintainer: Yuan Tang <terrytangyuan@gmail.com>
Repository: CRAN
Date/Publication: 2018-04-25 17:21:18 UTC
