## onnx 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: onnx
 Type: Package
 Title: R Interface to 'ONNX'
-Version: 0.0.2
+Version: 0.0.3
 Authors@R: c(
   person("Yuan", "Tang", role = c("aut", "cre"), email = "terrytangyuan@gmail.com", comment = c(ORCID = "0000-0001-5243-233X")),
   person("ONNX Authors", role = c("aut", "cph")),
@@ -15,18 +15,17 @@
 URL: https://github.com/onnx/onnx-r
 BugReports: https://github.com/onnx/onnx-r/issues
 Encoding: UTF-8
-LazyData: true
 Depends: R (>= 3.1)
 Imports: reticulate (>= 1.4)
-RoxygenNote: 6.0.1
-Suggests: testthat, knitr
+RoxygenNote: 7.0.2
+Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-04-25 17:11:43 UTC; terrytangyuan
+Packaged: 2021-04-16 18:33:35 UTC; yuan.tang
 Author: Yuan Tang [aut, cre] (<https://orcid.org/0000-0001-5243-233X>),
   ONNX Authors [aut, cph],
   Facebook, Inc. [cph],
   Microsoft Corporation [cph]
 Maintainer: Yuan Tang <terrytangyuan@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-04-25 17:21:18 UTC
+Date/Publication: 2021-04-16 18:50:02 UTC
