=== debian/tests/control ===
Test-Command: pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples'
Depends: python3-pytest, @
