=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=auto,repacksuffix=+dfsg" \
   https://github.com/onnx/onnx/releases .*/v?@ANY_VERSION@\.tar\.gz
