=== debian/changelog ===
onnx (1.12.0-2) unstable; urgency=medium

  [ Mo Zhou ]
  * dch: ack previous nmu

  [ Francis Murtagh ]
  * Add missing onnx.proto file to -dev package

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Jul 2022 21:58:27 -0700

onnx (1.12.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jun 2022 20:07:32 -0700

onnx (1.12.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Rebase existing patches.
  * Add the missing test dependency python3-numpy.
  * Refresh existing patches.
  * Overhaul d/rules to fixup builds.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jun 2022 21:33:16 -0700

onnx (1.7.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.10 support. (Closes: #1004952)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Mar 2022 17:25:56 -0400
