=== debian/control ===
--- 
+++ 
@@ -14,12 +14,15 @@
                libprotobuf-dev,
                protobuf-compiler,
                pybind11-dev,
+               python3-pybind11,
+               python3-all,
                python3-all-dev,
                python3-protobuf <!nocheck>,
                python3-pybind11,
                python3-pytest <!nocheck>,
                python3-pytest-runner,
-               python3-tabulate <!nocheck>
+               python3-tabulate <!nocheck>,
+               python3-numpy <!nocheck>,
 Rules-Requires-Root: no
 
 Package: python3-onnx
