=== debian/changelog ===
onnx (1.13.1-3) unstable; urgency=medium

  * Autopkgtest: use arch instead of dpkg-architecture.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Sep 2023 19:31:05 -0400

onnx (1.13.1-2) unstable; urgency=medium

  * rules: Make rules less confusing.
  * rules: Toggle verbose makefile.
  * Autopkgtest: omit numerical precision issue on non-amd64 archs.
    (Closes: #1011033, #1051585)
  * Update dh_auto_clean to fix twice in a row FTBS. (Closes: #1048619)

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Sep 2023 11:24:11 -0400

onnx (1.13.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libonnxifi: Drop Multi-Arch: same.

  [ Mo Zhou ]
  * New upstream version 1.13.1
  * watch: Track the github tags page instead.
  * Rebase existing patches.
  * ONNXIFI is removed by upstream.
  * No longer build static library.
  * Add patch to disable RPATH for shlibs.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Aug 2023 00:23:57 -0400
