=== debian/tests/control ===
Test-Command: test $(arch) = 'x86_64' && (pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples') || (pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples' || true)
Depends: python3-pytest, @
