=== requirements.txt ===
numpy
protobuf >= 3.20.2
typing-extensions >= 3.6.2.1
