=== debian/changelog ===
onnx (1.14.1-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:38:46 +0000

onnx (1.14.1-2.1build1) noble; urgency=high

  * No change rebuild against libprotobuf32t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:59 +0100

onnx (1.14.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062824

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:26:46 +0000

onnx (1.14.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 31 Dec 2023 20:01:26 -0500

onnx (1.14.1-1) experimental; urgency=medium

  * New upstream version 1.14.1
    Please pin to this version for PyTorch/v2.1.X release.
  * Rebase existing patches.
  * Autopkgtest: add missing test dependencies.

 -- Mo Zhou <lumin@debian.org>  Fri, 29 Dec 2023 22:21:04 -0500
