=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/onnx.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnx
-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 12),
                dh-exec,
                dh-python,
@@ -44,7 +45,10 @@
  .
  This package contains the python interface.
 
-Package: libonnx1
+Package: libonnx1t64
+Provides: ${t64:Provides}
+Replaces: libonnx1
+Breaks: libonnx1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -63,30 +67,10 @@
  .
  This package contains the shared objects.
 
-Package: libonnxifi
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Open Neural Network Exchange (ONNX) (ONNXIFI)
- Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
- that empowers AI developers to choose the right tools as their project evolves.
- ONNX provides an open source format for AI models.  It defines an extensible
- computation graph model, as well as definitions of built-in operators and
- standard data types. Initially onnx focuses on the capabilities needed for
- inferencing (evaluation).
- .
- Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
- developing ONNX support. Enabling interoperability between different frameworks
- and streamlining the path from research to production will increase the speed
- of innovation in the AI community.
- .
- This package contains the libonnxifi.so shared object.
-
 Package: libonnx-dev
 Architecture: any
 Multi-Arch: same
-Depends: libonnx1 (= ${binary:Version}),
-         libonnxifi (= ${binary:Version}),
+Depends: libonnx1t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: Open Neural Network Exchange (ONNX) (dev)
  Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
