## onnx 1.16.2

=== debian/changelog ===
onnx (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2
  * Update lintian overrides.
  * Bring back the CMake RPATH patch.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 27 Sep 2024 01:56:12 -0400

onnx (1.16.1-1) experimental; urgency=medium

  * New upstream version 1.16.1
  * Rebase existing patches.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Jul 2024 02:54:23 -0400
